services:
    nginx:
        image: nginx
        depends_on:
            - postservice
            - workerservice
        volumes:
            - ./nginx/nginx.conf:/etc/nginx/conf.d/default.conf
        ports:
            - 80:80
    
    postservice:
        build: .\PostService
        ports:
            - 81:8080
    workerservice:
        build: .\WorkerService
        ports:
            - 82:8080
        depends_on:
            - postservice